# Discord RSS Webhook
Simple script which periodically checks a RSS feed for updates and sends these to a Discord webhook.
I can't guarantee that this works with every RSS feed, since I only tested it with [nyaa.si](https://nyaa.si/?page=rss).

## Setup
Type `npm install` to install dependencies. To configure the webhook and RSS URL, create a file called `.env`:

    FEED_URL=https://nyaa.si/?page=rss
    WH_ID=123456789012345678
    WH_TOKEN=long_ass_string_of_characters

Replace WH_ID with your webhook's ID and WH_TOKEN with the webhook's token. FEED_URL is the RSS feed's URL (obviously).

Run with `node .` or use [pm2](https://github.com/Unitech/pm2)